#
# spec file for package craft (Version 3.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         craft
Copyright:    distributable
Group:        X11/Games
Autoreqprov:  on
Version:      3.5
Release:      221
Summary:      A game - the vicious vikings
Url:          http://borneo.gmd.de/AS/janus/craft/index.html
Source:       craftcc35.tar.bz2
Patch:        craft-%{version}.dif
Patch1:       craft-ia64-%{version}.dif
Patch2:       craft-axp-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Craft is a strategy/war game similar to Warcraft and Dune II. Each
player starts off with two workers and a knight, and tries to build a
kingdom with which he can kill off all the other players. The
workers can build buildings such as mills (which make archers),
docks (for ships), and markets (to trade gold and lumber). The
game takes a little while to figure out, but it's worth it.

Authors:
--------
    Uwe Beyer <uwe.beyer@gmd.de>

SuSE series: fun

%prep
%setup -c
%patch
%patch1
%patch2
echo -e "\n" >> field.hc
echo -e "\n" >> object_handler.hc
echo -e "\n" >> cmap_edit.hc

%build
sh ./install

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 craft $RPM_BUILD_ROOT/usr/X11R6/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/craft
cp -pvr .windefaults.params buttons/ hcraft/ $RPM_BUILD_ROOT/usr/X11R6/lib/craft/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README html/
/usr/X11R6/lib/craft
/usr/X11R6/bin/craft

%changelog -n craft
* Tue Sep 18 2001 - cihlar@suse.cz
- fixed pathname to hcraft/m5
* Wed Apr 04 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Feb 19 2001 - cihlar@suse.cz
- fixed to compile on axp
* Fri Feb 16 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Mon Oct 30 2000 - cihlar@suse.cz
- bzipped sources
* Thu Aug 17 2000 - uli@suse.de
- fixed install for PPC
* Wed Jun 07 2000 - cihlar@suse.cz
- removed source-file with directory
* Fri Apr 14 2000 - cihlar@suse.cz
- upgrade to version 3.5
- added BuildRoot
- clean up spec file
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- fixed again for PPC
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Fri Oct 24 1997 - ro@suse.de
- ready for autobuild after minor changes in the specfile
  a install target does not work if there is a file called
  'install' in current dir ;-)
* Wed Apr 30 1997 - rolf@suse.de
- changed relative to absolute paths so the binary can reside in
  /usr/X11R6/bin and the dirs are located in /usr/X11R6/lib/craft now.
